## kaukkis 0.2-1

=== src/plugins/build-NetworkOutput-Desktop_qt4-Release/Makefile ===
#############################################################################
# Makefile for building: libNetworkOutput.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.8.6) on: Fri Apr 10 03:40:36 2015
# Project:  ../NetworkOutput/NetworkOutput.pro
# Template: lib
# Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++-64 -o Makefile ../NetworkOutput/NetworkOutput.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DNETWORKOUTPUT_LIBRARY -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -m64 -pipe -std=c++0x -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I../NetworkOutput -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I../../../build/debug/plugins/NetworkOutput -I../../../build/debug/plugins/NetworkOutput -I.
LINK          = g++
LFLAGS        = -m64 -Wl,-O1 -shared -Wl,-soname,libNetworkOutput.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../NetworkOutput/networkoutput.cpp \
		../NetworkOutput/client.cpp ../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp \
		../../../build/debug/plugins/NetworkOutput/moc_client.cpp
OBJECTS       = networkoutput.o \
		client.o \
		moc_networkoutput.o \
		moc_client.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		../NetworkOutput/NetworkOutput.pro
QMAKE_TARGET  = NetworkOutput
DESTDIR       = ../../../build/debug/plugins/NetworkOutput/
TARGET        = libNetworkOutput.so.1.0.0
TARGETA       = ../../../build/debug/plugins/NetworkOutput/libNetworkOutput.a
TARGETD       = libNetworkOutput.so.1.0.0
TARGET0       = libNetworkOutput.so
TARGET1       = libNetworkOutput.so.1
TARGET2       = libNetworkOutput.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../build/debug/plugins/NetworkOutput/$(TARGET)

../../../build/debug/plugins/NetworkOutput/$(TARGET): ../../../build/debug/plugins/NetworkOutput/ui_networkoutputdialog.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../build/debug/plugins/NetworkOutput/ || $(MKDIR) ../../../build/debug/plugins/NetworkOutput/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/$(TARGET)
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/$(TARGET0)
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/$(TARGET1)
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../../build/debug/plugins/NetworkOutput/



staticlib: $(TARGETA)

$(TARGETA): ../../../build/debug/plugins/NetworkOutput/ui_networkoutputdialog.h $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: ../NetworkOutput/NetworkOutput.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtNetwork.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-64 -o Makefile ../NetworkOutput/NetworkOutput.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtNetwork.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-64 -o Makefile ../NetworkOutput/NetworkOutput.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/NetworkOutput1.0.0 || $(MKDIR) .tmp/NetworkOutput1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/NetworkOutput1.0.0/ && $(COPY_FILE) --parents ../NetworkOutput/networkoutput.h ../../iremoteoutput.h ../../buttonaction.h ../NetworkOutput/client.h .tmp/NetworkOutput1.0.0/ && $(COPY_FILE) --parents ../NetworkOutput/networkoutput.cpp ../NetworkOutput/client.cpp .tmp/NetworkOutput1.0.0/ && $(COPY_FILE) --parents ../NetworkOutput/networkoutputdialog.ui .tmp/NetworkOutput1.0.0/ && (cd `dirname .tmp/NetworkOutput1.0.0` && $(TAR) NetworkOutput1.0.0.tar NetworkOutput1.0.0 && $(COMPRESS) NetworkOutput1.0.0.tar) && $(MOVE) `dirname .tmp/NetworkOutput1.0.0`/NetworkOutput1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/NetworkOutput1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/$(TARGET) 
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/$(TARGET0) ../../../build/debug/plugins/NetworkOutput/$(TARGET1) ../../../build/debug/plugins/NetworkOutput/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: ../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp ../../../build/debug/plugins/NetworkOutput/moc_client.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp ../../../build/debug/plugins/NetworkOutput/moc_client.cpp
../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp: ../../iremoteoutput.h \
		../../buttonaction.h \
		../NetworkOutput/client.h \
		../NetworkOutput/message.h \
		../NetworkOutput/networkoutput.h
	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) ../NetworkOutput/networkoutput.h -o ../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp

../../../build/debug/plugins/NetworkOutput/moc_client.cpp: ../NetworkOutput/message.h \
		../NetworkOutput/client.h
	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) ../NetworkOutput/client.h -o ../../../build/debug/plugins/NetworkOutput/moc_client.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: ../../../build/debug/plugins/NetworkOutput/qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ../../../build/debug/plugins/NetworkOutput/ui_networkoutputdialog.h
compiler_uic_clean:
	-$(DEL_FILE) ../../../build/debug/plugins/NetworkOutput/ui_networkoutputdialog.h
../../../build/debug/plugins/NetworkOutput/ui_networkoutputdialog.h: ../NetworkOutput/networkoutputdialog.ui
	/usr/lib/x86_64-linux-gnu/qt4/bin/uic ../NetworkOutput/networkoutputdialog.ui -o ../../../build/debug/plugins/NetworkOutput/ui_networkoutputdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

networkoutput.o: ../NetworkOutput/networkoutput.cpp ../NetworkOutput/message.h \
		../NetworkOutput/networkoutput.h \
		../../iremoteoutput.h \
		../../buttonaction.h \
		../NetworkOutput/client.h \
		../NetworkOutput/ui_networkoutputdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o networkoutput.o ../NetworkOutput/networkoutput.cpp

client.o: ../NetworkOutput/client.cpp ../NetworkOutput/client.h \
		../NetworkOutput/message.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o client.o ../NetworkOutput/client.cpp

moc_networkoutput.o: ../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_networkoutput.o ../../../build/debug/plugins/NetworkOutput/moc_networkoutput.cpp

## kaukkis 0.1-1

=== debian/changelog ===
kaukkis (0.1-1) unstable; urgency=low

  * Initial release

 -- Niko Häikiö <haikion@github>  Sat, 17 Jan 2015 11:06:56 +0200

=== debian/control ===
Source: kaukkis
Section: user/utilities
Priority: optional
Maintainer: Niko Häikiö <haikion@github>
Build-Depends: debhelper7 (>= 7),
               libqt4-dev,
               g++-4.6,
               binutils2.22,
               libstdc++6,
               libc6-dev,
               libc6
Standards-Version: 3.7.2

Package: kaukkis
Architecture: armel
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kaukkis is a remote controller application for Maemo.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAAB3RJTUUH3wERDiIgbDtW8gAABG9JREFUeNrlmy9MHEEU
 xofSBEETmiCuCU1OIiquyQkEoqKCJggETRCIE4iKEzRBXB2iAoFoq06cQCAq
 EBUIBKICcQKBQLRJBQKBoEnFCZrQ5FfRt83LZHZm9/bgZu9eQnLczM7b79t5
 f3fOmJIKsM8/uQG6wA5QN+MiwBVuOQVWxoGAl8AecCK7wJYuUBuX3TAFrACH
 Fgm3QNOMkwCL8vS1dIDJcSJhEmjJDkjkYKxIECKWgJ7eCbE/tQWgIfZcCcyf
 k7mLwFTAJDQJzRjBLwM/HA6sA0ynXKPn/wI+ALOenXCr1q3FBH4Tv5y7doPE
 e1uugeUUPS0dImMF/1m29ZaV6HyzSQBmgFVgV4DrnfMmxcR0dFiJDfymNV4R
 4KkkWGR0LBKWU/zB/4wxWvD9kOBY99rlE6xkqR4t+AIk6J3wwTG+osZ3ogZf
 wByuVXSYcqTNN/fuDPsF3ycJu2reomP8JCmlSwE+LwkSHRJpOMb3ksGYHN40
 UJW/ySIkiBmcythcSin9C9gbdqirAW3gwpEFdiV5qRR1jNGFOmBWkp4s0gO2
 SkVCAPw8cOlIYQ8kn28DXx1dni92XRAlCQHwVSvFvQDWXDYvu+S9RcSXqHdC
 BpvXufgJMJNhzZpFWpzmkAF8Q42dpZW5HhJulE/I4hjP8+i481Bnla/1PnS8
 V9e3MobITizgq2r8OGWdKtAE1l0dHvEJwRRWSLhS4bQyVPCOzKzpGK9bbauz
 FBK+KmC+ZGlLrbXqw/CgCHhjzEf11duJiYlPKdOfqM/fHePvjDGP1P/PjTGv
 HfOSax8aY556bu+n+vxo4ATkBG/fxB/H+OOM3/3OeIuvAoTfb2Ejdp3IumP8
 jSP7qzrmHag50xnu78dA3wUUqOdrIc8sJBwLyHpKTy+p8y8y3t9yTPX8pWpS
 zPShf03pbt9VyX1n9Tyw3W98lvJWV4y1UoF3tKrymM+06uAAfI4OvPTZNqR+
 f+ZZb8l6YdnxmYPkB2dq/qXu9MYE/sxqZrwMrHtrvdbqSKR4Id2apjhELVfA
 fHTb3sryEjkKrL9kmUNIujosRmXzVozP/O5NfMK2ozlin/dpRO3wpPiwn2Yz
 p96aENmS7b+akgjF6e2lzbUPHLna0DFFI+PJwrLa/KzvQEIZwS9YXnnTA/xY
 HU7cLD14UXAY6rTIvLbDSS1k1NEUT37kC5H3Dl6UJF2W88C8roOARob1G46X
 Hs+iAC+KEtkPzOv0swPkqdvSigK8KOupHn3ondypeorbGdffdxCwEQV4Ubjn
 KzMd8+fylLMSIq9D/b6hgFfd2J7vVMUAdFQk0VmNCrxSvjgIEtRBx4Wc1w0P
 /KBIsBoeeer94YMvSoIUNrcWkJtQxhgV+CIkiGN0yWypwBckwT66elxK8P2S
 IJ6+Ixlj23NwOX7wg44OpQR/ByGyfOAHGCLLC34AIbL84As4xtEBn5eEkQTv
 IaGtS2nr5ymjBd5DwoXU/ucjD95DAqHf7owiCVVpqvRUEXSYtyQelvwFhmpA
 8rsjXYoAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#PATH += /usr/binutils2.22/bin

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	qmake
	$(MAKE)
	#docbook-to-man debian/kaukkis.sgml > kaukkis.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/kaukkis.
	$(MAKE) DESTDIR=$(CURDIR)/debian/kaukkis install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kaukkis 0.2-1

=== debian/changelog ===
kaukkis (0.2-1) unstable; urgency=low

  * Initial release

 -- Niko Häikiö <haikion@github>  Sat, 17 Jan 2015 11:06:56 +0200

## kaukkis 0.3-1

=== src/plugins/build-PluginStub-Desktop_qt4-Debug/Makefile ===
#############################################################################
# Makefile for building: libPluginStub.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.8.6) on: pe huhtikuuta 10 03:35:54 2015
# Project:  ../PluginStub/PluginStub.pro
# Template: lib
# Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++-64 CONFIG+=debug -o Makefile ../PluginStub/PluginStub.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DPLUGINSTUB_LIBRARY -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -g -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -m64 -pipe -std=c++0x -g -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I../PluginStub -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I../../../build/debug/plugins/PluginStub -I.
LINK          = g++
LFLAGS        = -m64 -shared -Wl,-soname,libPluginStub.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../PluginStub/pluginstub.cpp ../../../build/debug/plugins/PluginStub/moc_pluginstub.cpp
OBJECTS       = pluginstub.o \
		moc_pluginstub.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		../PluginStub/PluginStub.pro
QMAKE_TARGET  = PluginStub
DESTDIR       = ../../../build/debug/plugins/PluginStub/
TARGET        = libPluginStub.so.1.0.0
TARGETA       = ../../../build/debug/plugins/PluginStub/libPluginStub.a
TARGETD       = libPluginStub.so.1.0.0
TARGET0       = libPluginStub.so
TARGET1       = libPluginStub.so.1
TARGET2       = libPluginStub.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../build/debug/plugins/PluginStub/$(TARGET)

../../../build/debug/plugins/PluginStub/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../build/debug/plugins/PluginStub/ || $(MKDIR) ../../../build/debug/plugins/PluginStub/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../../build/debug/plugins/PluginStub/$(TARGET)
	-$(DEL_FILE) ../../../build/debug/plugins/PluginStub/$(TARGET0)
	-$(DEL_FILE) ../../../build/debug/plugins/PluginStub/$(TARGET1)
	-$(DEL_FILE) ../../../build/debug/plugins/PluginStub/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../../build/debug/plugins/PluginStub/
	{ test -z "$(DESTDIR)" || cd "$(DESTDIR)"; } && test $$(gdb --version | sed -e 's,[^0-9][^0-9]*\([0-9]\)\.\([0-9]\).*,\1\2,;q') -gt 72 && gdb --nx --batch --quiet -ex 'set confirm off' -ex "save gdb-index ." -ex quit '$(TARGET)' && test -f $(TARGET).gdb-index && objcopy --add-section '.gdb_index=$(TARGET).gdb-index' --set-section-flags '.gdb_index=readonly' '$(TARGET)' '$(TARGET)' && rm -f $(TARGET).gdb-index || true



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: ../PluginStub/PluginStub.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-64 CONFIG+=debug -o Makefile ../PluginStub/PluginStub.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-64 CONFIG+=debug -o Makefile ../PluginStub/PluginStub.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/PluginStub1.0.0 || $(MKDIR) .tmp/PluginStub1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/PluginStub1.0.0/ && $(COPY_FILE) --parents ../PluginStub/pluginstub.h ../../iremoteoutput.h ../../buttonaction.h .tmp/PluginStub1.0.0/ && $(COPY_FILE) --parents ../PluginStub/pluginstub.cpp .tmp/PluginStub1.0.0/ && (cd `dirname .tmp/PluginStub1.0.0` && $(TAR) PluginStub1.0.0.tar PluginStub1.0.0 && $(COMPRESS) PluginStub1.0.0.tar) && $(MOVE) `dirname .tmp/PluginStub1.0.0`/PluginStub1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/PluginStub1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../../build/debug/plugins/PluginStub/$(TARGET) 
	-$(DEL_FILE) ../../../build/debug/plugins/PluginStub/$(TARGET0) ../../../build/debug/plugins/PluginStub/$(TARGET1) ../../../build/debug/plugins/PluginStub/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: ../../../build/debug/plugins/PluginStub/moc_pluginstub.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) ../../../build/debug/plugins/PluginStub/moc_pluginstub.cpp
../../../build/debug/plugins/PluginStub/moc_pluginstub.cpp: ../../iremoteoutput.h \
		../../buttonaction.h \
		../PluginStub/pluginstub.h
	/usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) ../PluginStub/pluginstub.h -o ../../../build/debug/plugins/PluginStub/moc_pluginstub.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: ../../../build/debug/plugins/PluginStub/qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) ../../../build/debug/plugins/PluginStub/qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

pluginstub.o: ../PluginStub/pluginstub.cpp ../PluginStub/pluginstub.h \
		../../iremoteoutput.h \
		../../buttonaction.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pluginstub.o ../PluginStub/pluginstub.cpp

moc_pluginstub.o: ../../../build/debug/plugins/PluginStub/moc_pluginstub.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_pluginstub.o ../../../build/debug/plugins/PluginStub/moc_pluginstub.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/ 
	-$(INSTALL_PROGRAM) "../../../build/debug/plugins/PluginStub/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
kaukkis (0.3-1) unstable; urgency=low

  * Check GitHub commit log for details...

 -- Niko Häikiö <haikion@github>  Sat, 17 Jan 2015 11:06:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	qmake
+	qmake kaukkisAndPlugins.pro
 	$(MAKE)
 	#docbook-to-man debian/kaukkis.sgml > kaukkis.1
